Export compliance record
curl --request GET \
--url https://api.mnemom.ai/v1/agents/{agent_id}/compliance-export \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mnemom.ai/v1/agents/{agent_id}/compliance-export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mnemom.ai/v1/agents/{agent_id}/compliance-export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mnemom.ai/v1/agents/{agent_id}/compliance-export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mnemom.ai/v1/agents/{agent_id}/compliance-export"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.mnemom.ai/v1/agents/{agent_id}/compliance-export")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mnemom.ai/v1/agents/{agent_id}/compliance-export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"agent_id": "<string>",
"export_id": "<string>",
"generated_at": "2023-11-07T05:31:56Z",
"period": {
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
},
"counts": {
"checkpoints": 123,
"score_history": 123,
"reclassifications": 123,
"card_amendments": 123,
"disagreement_reviews": 123,
"policy_evaluations_with_gaps": 123
},
"checkpoints": [
{}
],
"reclassifications": [
{
"reclassification_id": "<string>",
"checkpoint_id": "<string>",
"agent_id": "<string>",
"original_type": "<string>",
"new_type": "<string>",
"reason": "<string>",
"score_impact": {
"previous_score": 123,
"new_score": 123,
"delta": 123
}
}
],
"card_amendments": [
{}
],
"score_history": [
{}
],
"disagreement_reviews": [
{}
],
"policy_evaluations_with_gaps": [
{}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Reclassification
Export compliance record
Export a comprehensive compliance record for the agent including all checkpoints, score history, reclassifications, card amendments, disagreement reviews and…
GET
/
agents
/
{agent_id}
/
compliance-export
Export compliance record
curl --request GET \
--url https://api.mnemom.ai/v1/agents/{agent_id}/compliance-export \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mnemom.ai/v1/agents/{agent_id}/compliance-export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mnemom.ai/v1/agents/{agent_id}/compliance-export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mnemom.ai/v1/agents/{agent_id}/compliance-export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mnemom.ai/v1/agents/{agent_id}/compliance-export"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.mnemom.ai/v1/agents/{agent_id}/compliance-export")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mnemom.ai/v1/agents/{agent_id}/compliance-export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"agent_id": "<string>",
"export_id": "<string>",
"generated_at": "2023-11-07T05:31:56Z",
"period": {
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
},
"counts": {
"checkpoints": 123,
"score_history": 123,
"reclassifications": 123,
"card_amendments": 123,
"disagreement_reviews": 123,
"policy_evaluations_with_gaps": 123
},
"checkpoints": [
{}
],
"reclassifications": [
{
"reclassification_id": "<string>",
"checkpoint_id": "<string>",
"agent_id": "<string>",
"original_type": "<string>",
"new_type": "<string>",
"reason": "<string>",
"score_impact": {
"previous_score": 123,
"new_score": 123,
"delta": 123
}
}
],
"card_amendments": [
{}
],
"score_history": [
{}
],
"disagreement_reviews": [
{}
],
"policy_evaluations_with_gaps": [
{}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Authorizations
BearerAuthApiKeyAuth
Supabase JWT token in Authorization: Bearer header
Path Parameters
Agent identifier (e.g. smolt-abc123)
Query Parameters
Export format
Available options:
json, csv Start of time range (ISO-8601 date or date-time; anything else is a 400 invalid_time_range)
End of time range (ISO-8601 date or date-time; anything else is a 400 invalid_time_range)
Response
Compliance export data
Show child attributes
Show child attributes
Number of entries in each array of this export.
Show child attributes
Show child attributes
Show child attributes
Show child attributes